<template>
  <div>
    <div class="titSec">Carga de Archivos</div>
    <v-card style="background-color: #fafafa"> </v-card>
    <v-card>
      <div class="gris">
        <v-row v-if="mostrarMultiNegocio">
          <v-col :cols="12" :sm="12" :md="6" :lg="6" :xl="6">
            Negocio: <strong>Elektra</strong>
            <UploadArchivos
              ref="uploadArvhivos2"
              v-model="value.dataFolioArchivosModelo2"
              :type="1"
              :folio="value.folio"
              :datosGenerales="value"
              :idUsuario="JSON.stringify(user.empleado)"
              :idNegocio="negocioEKT"
              @archivoCargado="archivoCargado"
              @archivoBorrado="archivoBorrado"
              :callbackAnadir="anadirCantidad"
            />
          </v-col>
          <v-col :cols="12" :sm="12" :md="6" :lg="6" :xl="6">
            Negocio: <strong>Banco Azteca</strong>
            <UploadArchivos
              ref="uploadArvhivos1"
              v-model="value.dataFolioArchivosModelo1"
              :type="1"
              :folio="value.folio"
              :datosGenerales="value"
              :idUsuario="JSON.stringify(user.empleado)"
              :idNegocio="negocioBAZ"
              @archivoCargado="archivoCargado"
              @archivoBorrado="archivoBorrado"
              :callbackAnadir="anadirCantidad"
            />
          </v-col>
        </v-row>
        <v-row v-else>
          <v-col :cols="12" :sm="12" :md="12" :lg="12" :xl="12">
            Negocio:
            <strong>{{ value.dataUnidadNegocio.value.descripcion }}</strong>
            <UploadArchivos
              ref="uploadArvhivos"
              v-model="value.dataFolioArchivosModelo1"
              :type="1"
              :folio="value.folio"
              :datosGenerales="value"
              :idUsuario="JSON.stringify(user.empleado)"
              :idNegocio="negocioNA"
              @archivoCargado="archivoCargado"
              @archivoBorrado="archivoBorrado"
              :callbackAnadir="anadirCantidad"
            />
          </v-col>
        </v-row>
      </div>
    </v-card>
  </div>
</template>

<script>
import UploadArchivos from "../componentes/UploadArchivos.vue";
export default {
  props: {
    value: Object,
    user: Object,
    archivoCargado: { type: Function },
    archivoBorrado: { type: Function },
    arlertCargando: { type: Function },
  },
  components: { UploadArchivos },
  name: "Test",
  mounted() {
    this.evaluarNegocio();
  },
  created() {},
  data() {
    return {
      mostrarMultiNegocio: false,
      negocioEKT: 1,
      negocioBAZ: 2,
      negocioNA: 0,

      contadorCarga: 0,
    };
  },
  //ekt operativa
  methods: {
    evaluarNegocio() {
      if (
        this.value &&
        this.value.dataUnidadNegocio.value.idNegocio &&
        this.value.dataFormato.value.idFormato
      ) {
        if (
          this.value.dataUnidadNegocio.value.idNegocio == 1 &&
          this.value.dataFormato.value.idFormato == 1
        ) {
          this.mostrarMultiNegocio = true;
        } else {
          this.mostrarMultiNegocio = false;
        }
      } else {
        this.mostrarMultiNegocio = false;
      }
    },

    anadirCantidad(añadir) {
      if (añadir) {
        this.contadorCarga = this.contadorCarga + 1;
      } else {
        this.contadorCarga = this.contadorCarga - 1;
      }
      this.mostrarCargando();
    },

    mostrarCargando() {
      if (this.contadorCarga == 0) {
        this.arlertCargando(false);
      } else {
        this.arlertCargando(true);
      }
    },
  },
};
</script>

<style lang="scss" scoped></style>
